| OrbbecSDK 1.5.7 OrbbecSDK: Software-Development-Kit for Orbbec 3D-Sensor devices

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
ob::OBDepthWorkModeList Class Reference

Type contain list of OBDepthWorkMode. More...

`#include <Device.hpp>`

## Public Member Functions
| OBDepthWorkModeList (std::unique_ptr< OBDepthWorkModeListImpl > impl_)
| ~OBDepthWorkModeList ()
uint32_t | count ()
| Get the count of OBDepthWorkMode. More...
OBDepthWorkMode | getOBDepthWorkMode (uint32_t index)
| Get OBDepthWorkMode at index in OBDepthWorkModeList. More...
std::string | getName (uint32_t index)
| Get depth work mode name at index. More...
OBDepthWorkMode | operator[] (uint32_t index)
| Get OBDepthWorkMode at index in OBDepthWorkModeList. More...

## Detailed Description

Type contain list of OBDepthWorkMode.

Definition at line 1080 of file Device.hpp.

## Constructor & Destructor Documentation

ob::OBDepthWorkModeList::OBDepthWorkModeList | ( | std::unique_ptr< OBDepthWorkModeListImpl > | impl_ | ) |

ob::OBDepthWorkModeList::~OBDepthWorkModeList | ( |  | ) |

## Member Function Documentation

uint32_t ob::OBDepthWorkModeList::count | ( |  | ) |

Get the count of OBDepthWorkMode.

Returns
  Count of OBDepthWorkMode

OBDepthWorkMode ob::OBDepthWorkModeList::getOBDepthWorkMode | ( | uint32_t | index | ) |

Get OBDepthWorkMode at index in OBDepthWorkModeList.

Parameters

  [in] | index | Target OBDepthWorkMode's index

Returns
  OBDepthWorkMode at index

std::string ob::OBDepthWorkModeList::getName | ( | uint32_t | index | ) |

Get depth work mode name at index.

Returns
  Depth work mode name

OBDepthWorkMode ob::OBDepthWorkModeList::operator[] | ( | uint32_t | index | ) |

Get OBDepthWorkMode at index in OBDepthWorkModeList.

Parameters

  [in] | index | Target OBDepthWorkMode's index

Returns
  OBDepthWorkMode at index

The documentation for this class was generated from the following file:

- /root/libobsensor/include/libobsensor/hpp/Device.hpp